---
title: List shared dashboards for a dashboard
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Dashboard Sharing
---

# List shared dashboards for a dashboard{% #list-shared-dashboards-for-a-dashboard %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                             |
| ----------------- | ------------------------------------------------------------------------ |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/dashboard/{dashboard_id}/shared |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/dashboard/{dashboard_id}/shared |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/dashboard/{dashboard_id}/shared      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/dashboard/{dashboard_id}/shared      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/dashboard/{dashboard_id}/shared  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/dashboard/{dashboard_id}/shared     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/dashboard/{dashboard_id}/shared |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/dashboard/{dashboard_id}/shared |

### Overview

Retrieve shared dashboards associated with the specified dashboard. This endpoint requires the `dashboards_read` permission.

OAuth apps require the `dashboards_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#dashboard-sharing) to access this endpoint.



### Arguments

#### Path Parameters

| Name                           | Type   | Description          |
| ------------------------------ | ------ | -------------------- |
| dashboard_id [*required*] | string | ID of the dashboard. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing shared dashboards for a dashboard.

| Parent field             | Field                                      | Type            | Description                                                                                                                    |
| ------------------------ | ------------------------------------------ | --------------- | ------------------------------------------------------------------------------------------------------------------------------ |
|                          | data [*required*]                     | [object]        | Shared dashboards for the dashboard.                                                                                           |
| data                     | attributes [*required*]               | object          | Attributes of a shared dashboard response.                                                                                     |
| attributes               | created_at [*required*]               | date-time       | Time when the shared dashboard was created.                                                                                    |
| attributes               | embeddable_domains [*required*]       | [string]        | Domains where embed-type shared dashboards can be embedded.                                                                    |
| attributes               | expiration [*required*]               | date-time       | Time when the shared dashboard expires.                                                                                        |
| attributes               | global_time [*required*]              | object          | Default time range configuration for the shared dashboard.                                                                     |
| attributes               | global_time_selectable [*required*]   | boolean         | Whether viewers can select a different global time setting.                                                                    |
| attributes               | invitees [*required*]                 | [object]        | Invitees for invite-only shared dashboards.                                                                                    |
| invitees                 | access_expiration [*required*]        | date-time       | Time when the invitee's access expires.                                                                                        |
| invitees                 | created_at [*required*]               | date-time       | Time when the invitee was added.                                                                                               |
| invitees                 | email [*required*]                    | string          | Email address of the invitee.                                                                                                  |
| attributes               | last_accessed [*required*]            | date-time       | Time when the shared dashboard was last accessed.                                                                              |
| attributes               | selectable_template_vars [*required*] | [object]        | Template variables that viewers can modify.                                                                                    |
| selectable_template_vars | allow_any_value [*required*]          | boolean         | Whether viewers can see all tag values for the template variable and specify any value.                                        |
| selectable_template_vars | default_values [*required*]           | [string]        | Default selected values for the variable.                                                                                      |
| selectable_template_vars | name [*required*]                     | string          | Name of the template variable.                                                                                                 |
| selectable_template_vars | prefix [*required*]                   | string          | Tag prefix for the variable.                                                                                                   |
| selectable_template_vars | type [*required*]                     | string          | Type of the template variable.                                                                                                 |
| selectable_template_vars | visible_tags [*required*]             | [string]        | Restricts which tag values are visible to the viewer.                                                                          |
| attributes               | share_type [*required*]               | enum            | Type of dashboard sharing. Allowed enum values: `open,invite,embed,secure-embed`                                               |
| attributes               | sharer_disabled [*required*]          | boolean         | Whether the user who shared the dashboard is disabled.                                                                         |
| attributes               | status [*required*]                   | enum            | Status of the shared dashboard. Allowed enum values: `active,paused`                                                           |
| attributes               | title [*required*]                    | string          | Display title for the shared dashboard.                                                                                        |
| attributes               | token [*required*]                    | string          | Token assigned to the shared dashboard.                                                                                        |
| attributes               | url [*required*]                      | string          | URL for the shared dashboard.                                                                                                  |
| attributes               | viewing_preferences [*required*]      | object          | Display settings for the shared dashboard.                                                                                     |
| viewing_preferences      | high_density [*required*]             | boolean         | Whether widgets are displayed in high-density mode.                                                                            |
| viewing_preferences      | theme [*required*]                    | enum            | The theme of the shared dashboard view. `system` follows the viewer's system default. Allowed enum values: `system,light,dark` |
| data                     | id [*required*]                       | string          | ID of the shared dashboard.                                                                                                    |
| data                     | relationships [*required*]            | object          | Relationships of a shared dashboard.                                                                                           |
| relationships            | dashboard [*required*]                | object          | Dashboard associated with the shared dashboard.                                                                                |
| dashboard                | data [*required*]                     | object          | Dashboard relationship data.                                                                                                   |
| data                     | id [*required*]                       | string          | ID of the dashboard.                                                                                                           |
| data                     | type [*required*]                     | enum            | Included dashboard resource type. Allowed enum values: `dashboard`                                                             |
| relationships            | sharer [*required*]                   | object          | User who shared the dashboard.                                                                                                 |
| sharer                   | data [*required*]                     | object          | Relationship to user object.                                                                                                   |
| data                     | id [*required*]                       | string          | A unique identifier that represents the user.                                                                                  |
| data                     | type [*required*]                     | enum            | User resource type. Allowed enum values: `user`                                                                                |
| data                     | type [*required*]                     | enum            | Shared dashboard resource type. Allowed enum values: `shared_dashboard`                                                        |
|                          | included [*required*]                 | [ <oneOf>] | Users and dashboards related to the shared dashboards.                                                                         |
| included                 | Option 1                                   | object          | Included dashboard resource.                                                                                                   |
| Option 1                 | attributes [*required*]               | object          | Attributes of the included dashboard.                                                                                          |
| attributes               | title [*required*]                    | string          | Dashboard title.                                                                                                               |
| Option 1                 | id [*required*]                       | string          | ID of the dashboard.                                                                                                           |
| Option 1                 | type [*required*]                     | enum            | Included dashboard resource type. Allowed enum values: `dashboard`                                                             |
| included                 | Option 2                                   | object          | Included user resource.                                                                                                        |
| Option 2                 | attributes [*required*]               | object          | Attributes of the included user.                                                                                               |
| attributes               | handle [*required*]                   | string          | User handle.                                                                                                                   |
| attributes               | name [*required*]                     | string          | User display name.                                                                                                             |
| Option 2                 | id [*required*]                       | string          | ID of the user.                                                                                                                |
| Option 2                 | type [*required*]                     | enum            | User resource type. Allowed enum values: `user`                                                                                |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "created_at": "2026-01-01T00:00:00.000Z",
        "embeddable_domains": [
          "https://example.com"
        ],
        "expiration": "2026-02-01T00:00:00.000Z",
        "global_time": {
          "live_span": "1h"
        },
        "global_time_selectable": false,
        "invitees": [
          {
            "access_expiration": "2026-01-15T09:30:00.000Z",
            "created_at": "2026-01-01T00:00:00.000Z",
            "email": "jane.doe@example.com"
          }
        ],
        "last_accessed": "2026-01-15T09:30:00.000Z",
        "selectable_template_vars": [
          {
            "allow_any_value": false,
            "default_values": [
              "prod"
            ],
            "name": "environment",
            "prefix": "env",
            "type": "group",
            "visible_tags": [
              "prod"
            ]
          }
        ],
        "share_type": "invite",
        "sharer_disabled": false,
        "status": "active",
        "title": "Q1 Metrics Dashboard",
        "token": "abc-123-token",
        "url": "https://p.datadoghq.com/sb/abc-123-token",
        "viewing_preferences": {
          "high_density": false,
          "theme": "system"
        }
      },
      "id": "12345",
      "relationships": {
        "dashboard": {
          "data": {
            "id": "abc-def-ghi",
            "type": "dashboard"
          }
        },
        "sharer": {
          "data": {
            "id": "00000000-0000-0000-0000-000000000000",
            "type": "user"
          }
        }
      },
      "type": "shared_dashboard"
    }
  ],
  "included": [
    {
      "attributes": {
        "title": "Q1 Metrics Dashboard"
      },
      "id": "abc-def-ghi",
      "type": "dashboard"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Dashboard Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export dashboard_id="abc-def-ghi" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/dashboard/${dashboard_id}/shared" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
List shared dashboards for a dashboard returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.dashboard_sharing_api import DashboardSharingApi

configuration = Configuration()
configuration.unstable_operations["list_shared_dashboards_by_dashboard_id"] = True
with ApiClient(configuration) as api_client:
    api_instance = DashboardSharingApi(api_client)
    response = api_instance.list_shared_dashboards_by_dashboard_id(
        dashboard_id="abc-def-ghi",
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# List shared dashboards for a dashboard returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.list_shared_dashboards_by_dashboard_id".to_sym] = true
end
api_instance = DatadogAPIClient::V2::DashboardSharingAPI.new
p api_instance.list_shared_dashboards_by_dashboard_id("abc-def-ghi")
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// List shared dashboards for a dashboard returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.ListSharedDashboardsByDashboardId", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewDashboardSharingApi(apiClient)
	resp, r, err := api.ListSharedDashboardsByDashboardId(ctx, "abc-def-ghi")

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `DashboardSharingApi.ListSharedDashboardsByDashboardId`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `DashboardSharingApi.ListSharedDashboardsByDashboardId`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// List shared dashboards for a dashboard returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.DashboardSharingApi;
import com.datadog.api.client.v2.model.ListSharedDashboardsResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.listSharedDashboardsByDashboardId", true);
    DashboardSharingApi apiInstance = new DashboardSharingApi(defaultClient);

    try {
      ListSharedDashboardsResponse result =
          apiInstance.listSharedDashboardsByDashboardId("abc-def-ghi");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println(
          "Exception when calling DashboardSharingApi#listSharedDashboardsByDashboardId");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// List shared dashboards for a dashboard returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_dashboard_sharing::DashboardSharingAPI;

#[tokio::main]
async fn main() {
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.ListSharedDashboardsByDashboardId", true);
    let api = DashboardSharingAPI::with_config(configuration);
    let resp = api
        .list_shared_dashboards_by_dashboard_id("abc-def-ghi".to_string())
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * List shared dashboards for a dashboard returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.listSharedDashboardsByDashboardId"] = true;
const apiInstance = new v2.DashboardSharingApi(configuration);

const params: v2.DashboardSharingApiListSharedDashboardsByDashboardIdRequest = {
  dashboardId: "abc-def-ghi",
};

apiInstance
  .listSharedDashboardsByDashboardId(params)
  .then((data: v2.ListSharedDashboardsResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
